View Issue Details

IDProjectCategoryView StatusLast Update
0003987mantisbtbugtrackerpublic2004-09-13 05:27
Reportergrangeway Assigned Tovboctor  
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Versiongit trunk 
Target VersionFixed in Version0.19.0 
Summary0003987: Mantis 0.19.0 Release
Description

This issue is used to track issues that are planned for 0.19.0 release. Issues may be added/dropped to this list based on newly reported issues and time constraints.

TagsNo tags attached.

Relationships

parent of 0003975 closedthraxisp Realname vs username in email history 
parent of 0003877 closedvboctor Upgrade to PHPMailer 1.72 
parent of 0003948 closedvboctor Will not jump to bug when following link in mail 
parent of 0003940 closedgrangeway Deleteing a user causes error 0000801 in bug with user in history. 
parent of 0001146 closedthraxisp PRE tags in text 
parent of 0004147 closedthraxisp Receiving emails in foreign languages 
parent of 0004140 closedNarcissus Unable to view closed issues in View Issues page 
parent of 0004078 closedthraxisp Script to import the value of a custom field to a native field 
parent of 0004139 closedgrangeway SYSTEM NOTICE: Undefined index: email_bug_view_url 
parent of 0004158 closedgrangeway Sql Error in bug_copy 
parent of 0004156 closedgrangeway Sql error 
parent of 0003904 closedthraxisp cache missing 'user pref' rows 
parent of 0003787 closedgrangeway Stale reference in doc/INSTALL 
parent of 0004063 closedmasc Possible E-Mail Bomber 
parent of 0000633 closedmasc email lost password page 
parent of 0001750 closedvboctor Bcc email is blocked by spam filters (patch included) 
parent of 0004031 closedthraxisp Hiding/removing fixed_in_versions 
parent of 0004138 closedthraxisp Add validation / notifications hooks for issue create/update/delete 
parent of 0004163 closedvboctor Unreadable error messages in some languages 
parent of 0004157 closedgrangeway allow custom fields to be hidden when reporting/updating bugs 
parent of 0004128 closedgrangeway Custom field data lost on resolve and close of issue 
parent of 0003399 closedthraxisp Page not found. 
parent of 0004061 closedvboctor Multiple Cross Site Scripting Vulnerabilities 
parent of 0004062 closedvboctor Multiple Cross Site Scripting Vulnerabilities 
parent of 0003782 closedvboctor inconsistent documentation of register_globals 
parent of 0004155 closedvboctor Relationship strings have a useless '%id' string 
parent of 0004107 closedthraxisp email w/o recipient sent 
parent of 0004121 closedNarcissus Filters saved while "All Projects" is the active project, should have all projects active 
parent of 0004125 closedNarcissus Attempting to filter on issues fixed in version 0.19.0a2 does not work 
parent of 0004126 closedthraxisp Attaching a file with name containing #<issueno> causes problem with email history 
parent of 0004131 closedthraxisp Closing bugs when you're not allowed to. 
parent of 0003637 closedvboctor Requirements page on website not in sync with manual 
parent of 0003307 closedthraxisp check.php always checks mail() rather than the config 
parent of 0002861 closedvboctor misleading 'copyright' at the pages' bottom 
parent of 0004183 closedNarcissus another xss issue 
parent of 0004190 closedjlatour Simplified Chinese Localization for Mantis 0.19.0a2 
parent of 0003628 closedgrangeway Bug "frozen" after user deleted 
parent of 0004136 closedWanderer Updated strings for Korean 
parent of 0004207 closedNarcissus Mantis forgets user filter after logout 
parent of 0003970 closedthraxisp Reopen issue logic was broken for ustom reopen statuses 
parent of 0004215 closedthraxisp Malformed HTML 
parent of 0004216 closedvboctor Unable to setup a filter 
parent of 0004203 closedthraxisp Administration 
parent of 0004212 closedvboctor Default for Quantity is 0 -> N pages needed to display N issues 
parent of 0004222 closedvboctor Should mantis_project_category_table.user_id be UNSIGNED? 
parent of 0003371 closedvboctor CVS Integration (patch included) 
parent of 0004236 closedthraxisp Support of custom_strings_inc.php broken somehow 
parent of 0004164 closedmasc Announcement news don't remain on top 
parent of 0003853 closedvboctor Filters sometime generate an invalid query 
parent of 0004260 closedvboctor APPLICATION ERROR 0000401 when searching 
parent of 0004259 closedWanderer Wrong value for $s_product_build 
parent of 0004262 closedthraxisp Updating an issue shows the wrong status 
parent of 0004269 closedjlatour cross site scripting issue 
parent of 0004276 closedjlatour cross site scripting issue 
parent of 0004277 closedjlatour cross site scripting issue 
parent of 0003483 closedvboctor some admin users permissions not completly upgraded from 0.17.5 to 0.18.0 
parent of 0003458 closedvboctor email notification notification 
parent of 0003766 closedthraxisp status notifications are confused and confusing 
parent of 0003344 closedjlatour New Account Emails are being sent even when email notification is off 
parent of 0003540 closedthraxisp Arbitrary code execution through uploads 
parent of 0004186 closedjlatour Some upgrade scripts do not read table names from config 
parent of 0003822 closedgrangeway basedir restriction on some servers 
parent of 0003938 closedjlatour Untranslatable string 
parent of 0004293 closedthraxisp Lang variable names broken 
parent of 0002416 closedmasc Block Denied Access 
parent of 0003995 closedtazza70 My View: Clickable links for sections. 
parent of 0004342 closedthraxisp Developers unable to submit bugs 
parent of 0004358 closedthraxisp add user broken in cvs head of 12:08 CET 
parent of 0004009 closedgrangeway New custom field type "multiple select" 
parent of 0004372 closedthraxisp Wrong Reciepients-List in "send a reminder" 
parent of 0004376 closedthraxisp  "assigned to" buttons don't obey $g_set_status_threshold 
parent of 0004386 closedvboctor Changelog doesn´t respect user rights 
parent of 0004397 closedgrangeway broken captcha if ttf not available 
parent of 0003359 closedgrangeway File names with appostrophies 
parent of 0004417 closedthraxisp Broken default configuration 
parent of 0004418 closedthraxisp Test email not working 
parent of 0004426 closedthraxisp Email notifications to users with language set to "auto" causes errors 
parent of 0004430 closedDGtlRift Still problem with cyclic redirect 
parent of 0004431 closedmasc Relationship removal is always "duplicate of" in history 
parent of 0004437 closedthraxisp Filenames of uploaded attached files are damaged 
parent of 0004463 closedthraxisp pie chart of summary graph per category wrong when viewing allprojects) 
parent of 0004464 closedthraxisp Pie graphs display as error if no issue exist for a specific project 
parent of 0004480 closedthraxisp admin/check.php - Check email failing. 
parent of 0004495 closedthraxisp Warning in bug_actiongroup_page.php when risolving 
parent of 0004509 closedthraxisp Request rather than "Provide Feedback to Issue" 
related to 0004381 closedgrangeway History updates when custom field unchanged. 
child of 0004297 closedvboctor Mantis 0.19.1 release 

Activities

int2str

int2str

2004-07-01 17:10

reporter   ~0005864

0002100 is a duplicate of a bug for which there is already a fix in CVS.

grangeway

grangeway

2004-07-21 06:11

reporter   ~0006204

Done:
0003981 - New custom field features not in database
0003974 - Make Mantis issues searchable by Search Engine
0002100 - Single quotes problem when copying/pasting from MS Word
0003969 - Relationship - Patch available

vboctor

vboctor

2004-08-09 09:49

manager   ~0006875

ralfii, the reason you are getting notifications is due to the notes you have contributed to this issue. Sponsorship just adds you to the monitor list which you have removed yourself from earlier.

fusenigk

fusenigk

2004-08-12 02:22

reporter   ~0006956

  • Sorry, but I cannot add a note directly to the issue. This is a note to issue

http://bugs.mantisbt.org/bug_view_page.php?bug_id=0003371

quote: " Also what if the developer made a commit which affects 50 files?"

For me that´s exactly what I want to see: if you are a project manager and want to see what has changed in cvs for an issue, you can now look in the Mantis history entries and just click to the cvsweb links. If for this issue 50 files has changed, then I want to see 50 links!
I would even prefer a link to the cvs web diff, not only to the cvs web file, because than I could see the diff directly. This than would be the same behaviour than the other history entries, where you can see the changes.

jferraz

jferraz

2004-08-28 08:18

reporter   ~0007273

Finally, all children are resolved, but before proceeding, someone please take a look at 0004417 and 0004418.

Jumar

Jumar

2004-09-08 09:40

reporter   ~0007493

Hi!

Hmmm... I'd like to sponsor this issue... I pressed the "Sponsor"-button... and now?

Bye,
Jumar

vboctor

vboctor

2004-09-09 06:25

manager   ~0007507

The plan at the moment is to release this weekend. Once the release is out, I will contact you to collect the payment via PayPal.

Issue History

Date Modified Username Field Change
2004-06-30 07:16 grangeway New Issue
2004-06-30 07:44 grangeway Description Updated
2004-06-30 08:07 grangeway Description Updated
2004-06-30 09:50 vboctor Description Updated
2004-07-01 17:10 int2str Note Added: 0005864
2004-07-21 06:05 grangeway Relationship added parent of 0003975
2004-07-21 06:06 grangeway Relationship added parent of 0003877
2004-07-21 06:07 grangeway Relationship added parent of 0003948
2004-07-21 06:08 grangeway Relationship added parent of 0003940
2004-07-21 06:08 grangeway Relationship added parent of 0001146
2004-07-21 06:11 grangeway Note Added: 0006204
2004-07-21 06:11 grangeway Description Updated
2004-07-23 16:09 grangeway Relationship added parent of 0004147
2004-07-23 16:10 grangeway Relationship added parent of 0004140
2004-07-23 16:11 grangeway Relationship added parent of 0004078
2004-07-23 16:14 grangeway Relationship added parent of 0004139
2004-07-23 16:24 grangeway Relationship added parent of 0004158
2004-07-23 16:25 grangeway Relationship added parent of 0004156
2004-07-23 16:55 grangeway Relationship added parent of 0003904
2004-07-23 17:50 grangeway Relationship added parent of 0003787
2004-07-23 18:38 grangeway Relationship added parent of 0004063
2004-07-23 18:40 grangeway Relationship added parent of 0000633
2004-07-23 18:48 grangeway Relationship added parent of 0001750
2004-07-23 18:49 grangeway Relationship added parent of 0004031
2004-07-23 19:10 grangeway Relationship added parent of 0004138
2004-07-24 04:37 grangeway Relationship added parent of 0004163
2004-07-24 04:38 grangeway Relationship added parent of 0004157
2004-07-24 05:01 grangeway Relationship added parent of 0004009
2004-07-24 05:32 grangeway Relationship added parent of 0004128
2004-07-24 05:33 grangeway Relationship added parent of 0003351
2004-07-24 05:43 grangeway Relationship added parent of 0003399
2004-07-24 07:29 grangeway Relationship added parent of 0004061
2004-07-24 07:30 grangeway Relationship added parent of 0004062
2004-07-24 07:50 grangeway Relationship added parent of 0003782
2004-07-24 07:57 grangeway Relationship added parent of 0004155
2004-07-24 08:08 grangeway Relationship added parent of 0004107
2004-07-24 08:09 grangeway Relationship added parent of 0004121
2004-07-24 08:10 grangeway Relationship added parent of 0004125
2004-07-24 08:10 grangeway Relationship added parent of 0004126
2004-07-24 08:11 grangeway Relationship added parent of 0004131
2004-07-24 08:44 grangeway Relationship added parent of 0004095
2004-07-24 08:47 grangeway Relationship added parent of 0003637
2004-07-24 08:54 grangeway Relationship added parent of 0003229
2004-07-24 08:55 grangeway Relationship added parent of 0003307
2004-07-24 09:08 grangeway Relationship added parent of 0002861
2004-07-24 09:20 grangeway Relationship added parent of 0003304
2004-07-24 09:31 grangeway Relationship added parent of 0004183
2004-07-24 09:34 grangeway Relationship added parent of 0004184
2004-07-25 22:20 vboctor Relationship added parent of 0004190
2004-07-26 05:45 grangeway Relationship added parent of 0003628
2004-07-27 02:29 vboctor Relationship added parent of 0004200
2004-07-27 02:32 vboctor Relationship added parent of 0004136
2004-07-27 09:28 grangeway Relationship added parent of 0004193
2004-07-27 10:08 grangeway Relationship added parent of 0004207
2004-07-28 13:13 Wanderer Relationship added parent of 0003970
2004-07-28 20:33 vboctor Relationship added parent of 0004215
2004-07-29 00:30 vboctor Relationship added parent of 0004216
2004-07-29 12:29 thraxisp Relationship added parent of 0004203
2004-07-29 22:37 vboctor Relationship added parent of 0004212
2004-07-29 22:41 vboctor View Status private => public
2004-07-29 22:41 vboctor Summary Placeholder Bug for issues that should be resolved before 0.19 release => Mantis 0.19.0 Release
2004-07-29 22:41 vboctor Description Updated
2004-07-30 02:40 ralfiii Sponsorship Added ralfiii: US$ 50
2004-07-30 02:40 ralfiii Sponsorship Total 0 => 50
2004-07-30 06:39 grangeway Relationship added parent of 0004222
2004-07-30 06:45 grangeway Relationship added parent of 0003371
2004-07-30 08:18 grangeway Relationship deleted 0003229
2004-07-30 17:44 grangeway Relationship deleted 0004095
2004-07-31 17:59 vboctor Relationship added parent of 0004229
2004-07-31 21:37 vboctor Relationship added parent of 0004236
2004-08-01 03:27 vboctor Relationship deleted 0003351
2004-08-01 03:29 vboctor Relationship deleted 0003304
2004-08-01 03:32 vboctor Relationship deleted 0004193
2004-08-01 03:53 vboctor Relationship deleted 0004200
2004-08-02 09:01 vboctor Relationship added parent of 0004164
2004-08-04 06:06 grangeway Relationship added parent of 0003853
2004-08-04 06:06 grangeway Relationship added parent of 0004260
2004-08-04 06:07 grangeway Relationship added parent of 0003997
2004-08-04 06:33 vboctor Relationship added parent of 0004259
2004-08-04 06:34 vboctor Relationship added parent of 0004241
2004-08-04 10:03 vboctor Relationship added parent of 0004262
2004-08-04 16:14 grangeway Issue cloned: 0004269
2004-08-04 16:14 grangeway Relationship added parent of 0004269
2004-08-05 08:01 grangeway Relationship added parent of 0004276
2004-08-05 08:03 grangeway Relationship added parent of 0004277
2004-08-06 11:20 jlatour Status new => assigned
2004-08-06 17:40 grangeway Relationship added parent of 0003483
2004-08-07 08:55 jlatour Relationship added parent of 0003458
2004-08-07 09:22 jlatour Relationship added parent of 0003766
2004-08-07 09:35 jlatour Relationship added parent of 0003344
2004-08-07 09:47 jlatour Relationship added parent of 0003540
2004-08-07 09:58 jlatour Relationship added parent of 0004186
2004-08-08 08:31 jlatour Relationship added parent of 0003650
2004-08-08 08:56 jlatour Relationship added parent of 0003822
2004-08-08 13:43 jlatour Relationship added parent of 0003938
2004-08-09 02:21 jlatour Relationship added parent of 0004293
2004-08-09 05:21 jlatour Relationship added parent of 0002416
2004-08-09 07:53 jlatour Relationship deleted 0004009
2004-08-09 07:55 jlatour Relationship deleted 0004184
2004-08-09 08:10 jlatour Relationship deleted 0004229
2004-08-09 08:13 jlatour Relationship deleted 0003997
2004-08-09 08:16 jlatour Relationship deleted 0004241
2004-08-09 08:18 jlatour Relationship deleted 0003650
2004-08-09 09:49 vboctor Note Added: 0006875
2004-08-10 08:09 jlatour Relationship added parent of 0003995
2004-08-11 11:19 rufinus Sponsorship Added rufinus: US$ 5
2004-08-11 11:19 rufinus Sponsorship Total 50 => 55
2004-08-11 17:51 jlatour Relationship added parent of 0004315
2004-08-12 02:22 fusenigk Note Added: 0006956
2004-08-16 12:34 grangeway Relationship added related to 0004297
2004-08-17 17:28 vboctor Relationship added parent of 0004342
2004-08-19 08:05 vboctor Relationship added parent of 0004358
2004-08-20 18:18 grangeway Relationship added parent of 0004009
2004-08-23 09:13 thraxisp Relationship added parent of 0004372
2004-08-23 15:36 thraxisp Relationship added parent of 0004376
2004-08-25 17:23 grangeway Relationship added parent of 0004386
2004-08-25 17:31 grangeway Relationship added parent of 0004397
2004-08-25 17:53 grangeway Relationship added parent of 0003359
2004-08-27 13:31 grangeway Relationship added parent of 0004168
2004-08-27 13:33 grangeway Relationship added related to 0004181
2004-08-27 13:45 grangeway Relationship added related to 0004381
2004-08-27 18:04 grangeway Relationship deleted 0004168
2004-08-27 18:06 grangeway Relationship deleted 0004315
2004-08-27 18:07 grangeway Relationship deleted 0004297
2004-08-27 18:08 grangeway Relationship deleted 0004181
2004-08-28 08:18 jferraz Note Added: 0007273
2004-08-28 10:04 thraxisp Relationship added parent of 0004417
2004-08-28 10:04 thraxisp Relationship added parent of 0004418
2004-08-28 10:35 grangeway Issue cloned: 0004419
2004-08-29 06:13 jlatour Relationship added parent of 0004426
2004-08-29 16:33 jlatour Relationship added parent of 0004430
2004-08-29 17:37 jlatour Relationship added parent of 0004431
2004-08-29 17:38 jlatour Relationship deleted 0004431
2004-08-29 17:39 jlatour Relationship added parent of 0004431
2004-08-30 10:58 jlatour Relationship added parent of 0004437
2004-09-01 00:01 jlatour Relationship added parent of 0004450
2004-09-02 14:40 jlatour Relationship added parent of 0004463
2004-09-02 14:41 jlatour Relationship added parent of 0004464
2004-09-05 08:25 thraxisp Relationship added parent of 0004480
2004-09-07 03:45 jlatour Relationship added parent of 0004495
2004-09-08 09:12 vboctor Relationship added parent of 0004509
2004-09-08 09:34 Jumar Sponsorship Added Jumar: US$ 10
2004-09-08 09:34 Jumar Sponsorship Total 55 => 65
2004-09-08 09:40 Jumar Note Added: 0007493
2004-09-08 21:10 Matt_wc Sponsorship Added Matt_wc: US$ 5
2004-09-08 21:10 Matt_wc Sponsorship Total 65 => 70
2004-09-09 06:23 vboctor Assigned To => vboctor
2004-09-09 06:25 vboctor Note Added: 0007507
2004-09-12 08:31 vboctor Relationship deleted parent of 0004450
2004-09-12 08:32 vboctor Status assigned => resolved
2004-09-12 08:32 vboctor Fixed in Version => 0.19.0
2004-09-12 08:32 vboctor Resolution open => fixed
2004-09-13 05:27 vboctor Status resolved => closed
2004-09-21 14:11 jlatour Relationship added child of 0004297
2006-04-22 01:13 vboctor Sponsorship Paid Matt_wc: Paid
2006-04-22 01:13 vboctor Sponsorship Paid ralfiii: Paid